# Input clock
set_property PACKAGE_PIN L16 [get_ports Clock]
set_property IOSTANDARD LVCMOS33 [get_ports Clock]
create_clock -period 8.000 -name sys_clk_pin -waveform {0.000 4.000} -add [get_ports Clock]

# Port C of Zybo
set_property PACKAGE_PIN V15 [get_ports MCLK]
set_property IOSTANDARD LVCMOS33 [get_ports MCLK]

set_property PACKAGE_PIN W15 [get_ports LRCLK]
set_property IOSTANDARD LVCMOS33 [get_ports LRCLK]

set_property PACKAGE_PIN T11 [get_ports I2S_SCLK]
set_property IOSTANDARD LVCMOS33 [get_ports I2S_SCLK]

set_property PACKAGE_PIN T10 [get_ports I2S_Data]
set_property IOSTANDARD LVCMOS33 [get_ports I2S_Data]

# LED
# LED 0
set_property PACKAGE_PIN M14 [get_ports Locked]
set_property IOSTANDARD LVCMOS33 [get_ports Locked]

# LED 1
#set_property PACKAGE_PIN M14 [get_ports {LED[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {LED[1]}]

# LED 2
#set_property PACKAGE_PIN G14 [get_ports {LED[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {LED[2]}]

# LED 3
#set_property PACKAGE_PIN D18 [get_ports {LED[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {LED[3]}]

# Buttons
#set_property PACKAGE_PIN R18 [get_ports {Buttons[0]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {Buttons[0]}]

#set_property PACKAGE_PIN P16[get_ports {Buttons[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {Buttons[1]}]

#set_property PACKAGE_PIN V16 [get_ports {Buttons[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {Buttons[2]}]

#set_property PACKAGE_PIN Y16 [get_ports {Buttons[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {Buttons[3]}]

# Switches
# Switch 0
set_property PACKAGE_PIN G15 [get_ports Reset]
set_property IOSTANDARD LVCMOS33 [get_ports Reset]

# Switch 1
#set_property PACKAGE_PIN P15 [get_ports {Switches[1]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {Switches[1]}]

# Switch 2
#set_property PACKAGE_PIN W13 [get_ports {Switches[2]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {Switches[2]}]

# Switch 3
#set_property PACKAGE_PIN T16 [get_ports {Switches[3]}]
#set_property IOSTANDARD LVCMOS33 [get_ports {Switches[3]}]

set_switching_activity -deassert_resets 
