--Copyright 1986-2016 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2016.4 (lin64) Build 1733598 Wed Dec 14 22:35:42 MST 2016
--Date        : Fri Feb  9 16:20:08 2018
--Host        : daniel-VM running 64-bit Ubuntu 14.04.5 LTS
--Command     : generate_target ClockManager.bd
--Design      : ClockManager
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity ClockManager is
  port (
    Clock_In : in STD_LOGIC;
    Locked : out STD_LOGIC;
    MCLK : out STD_LOGIC;
    Reset : in STD_LOGIC
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of ClockManager : entity is "ClockManager,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=ClockManager,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=1,numReposBlks=1,numNonXlnxBlks=0,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=USER,synth_mode=OOC_per_IP}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of ClockManager : entity is "ClockManager.hwdef";
end ClockManager;

architecture STRUCTURE of ClockManager is
  component ClockManager_clk_wiz_0_0 is
  port (
    reset : in STD_LOGIC;
    clk_in1 : in STD_LOGIC;
    locked : out STD_LOGIC;
    MCLK : out STD_LOGIC
  );
  end component ClockManager_clk_wiz_0_0;
  signal ClockingWizard_MCLK : STD_LOGIC;
  signal ClockingWizard_locked : STD_LOGIC;
  signal clk_in1_1 : STD_LOGIC;
  signal reset_1 : STD_LOGIC;
begin
  Locked <= ClockingWizard_locked;
  MCLK <= ClockingWizard_MCLK;
  clk_in1_1 <= Clock_In;
  reset_1 <= Reset;
ClockingWizard: component ClockManager_clk_wiz_0_0
     port map (
      MCLK => ClockingWizard_MCLK,
      clk_in1 => clk_in1_1,
      locked => ClockingWizard_locked,
      reset => reset_1
    );
end STRUCTURE;
